#pragma once
#include "MyFrame.h"
#include "mof/Texture.h"
#include "ItemData.h"

namespace et{


	class ItemOperationMenu : public MyFrame
	{
	protected:
		et::ItemData* m_pItemData;
		
	public:
		ItemOperationMenu(mof::TextureResource& pTexture )
			: MyFrame(mof::Line2D( 0 , 0 , 200 , 300) , true , pTexture) , m_pItemData(NULL){
		}
		void setTargetItem(et::ItemData* pItemData){m_pItemData = pItemData;}
		virtual ~ItemOperationMenu(void){;}
	};

	class ItemOperatorFactory{
	public:
		virtual ~ItemOperatorFactory(){;}
		virtual ItemOperationMenu* create() = 0;
	};

};